<?PHP
#
#   FILE:  EditBlog.php (Blog plugin)
#
#   Part of the Metavus digital collections platform
#   Copyright 2015-2020 Edward Almasy and Internet Scout Research Group
#   http://metavus.net
#

use Metavus\Plugins\Blog\EntryFactory;

CheckAuthorization(PRIV_SYSADMIN);

# don't allow unauthorized access
$BlogPlugin = $GLOBALS["G_PluginManager"]->GetPluginForCurrentPage();

$H_BlogId = intval($_GET["BI"]);
$EntryFactory = new EntryFactory($H_BlogId);

$H_BlogName = $BlogPlugin->BlogSetting($H_BlogId, "BlogName");
$H_BlogEntryCount = count($EntryFactory->GetItemIds());
